import logging

from app.models import AvailableSource, AvailableSourcesResponse

logger = logging.getLogger("base_logger")

available_sources = AvailableSourcesResponse(
    sources=[
        AvailableSource(
            display_name="LinkedIn Shares",
            name="linkedin_shares",
            format="csv",
        ),
        AvailableSource(
            display_name="LinkedIn Comments",
            name="linkedin_comments",
            format="csv",
        ),
        AvailableSource(
            display_name="Facebook Posts", name="facebook_posts", format="json"
        ),
        AvailableSource(
            display_name="Facebook Comments",
            name="facebook_comments",
            format="json",
        ),
        AvailableSource(
            display_name="Instagram Posts",
            name="instagram_posts",
            format="json",
        ),
        AvailableSource(
            display_name="Instagram Comments",
            name="instagram_comments",
            format="json",
        ),
        AvailableSource(
            display_name="Instagram Stories",
            name="instagram_stories",
            format="json",
        ),
        AvailableSource(
            display_name="Instagram Reels",
            name="instagram_reels",
            format="json",
        ),
        AvailableSource(
            display_name="Instagram Stories",
            name="instagram_stories",
            format="image",
        ),
        AvailableSource(
            display_name="Instagram Reels",
            name="instagram_reels",
            format="video",
        ),
        AvailableSource(display_name="Bluesky", name="bluesky", format="car"),
        AvailableSource(
            display_name="Youtube Video", name="youtube_video", format="video"
        ),
        AvailableSource(
            display_name="Youtube Shorts",
            name="youtube_shorts",
            format="video",
        ),
        AvailableSource(
            display_name="Markdown", name="markdown", format="markdown"
        ),
        AvailableSource(
            display_name="Wordpress", name="wordpress_xml", format="xml"
        ),
        AvailableSource(display_name="Ebook", name="ebook_pdf", format="pdf"),
        AvailableSource(
            display_name="Ebook", name="ebook_epub", format="epub"
        ),
        AvailableSource(
            display_name="Website", name="ebook_html", format="html"
        ),
    ],
)
